import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_remark_view_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_remark_view_entity.g.dart';

@JsonSerializable()
class JobListRemarkViewEntity {
	@JSONField(name: "applied_id")
	int appliedId = 0;
	@JSONField(name: "member_name")
	String? memberName = null;
	@JSONField(name: "attitude_rate")
	int attitudeRate = 0;
	@JSONField(name: "grooming_rate")
	int groomingRate = 0;
	@JSONField(name: "performance_rate")
	int performanceRate = 0;
	@JSONField(name: "experience_rate")
	int experienceRate = 0;
	String? content = null;
	String? disabled = null;

	JobListRemarkViewEntity();

	factory JobListRemarkViewEntity.fromJson(Map<String, dynamic> json) => $JobListRemarkViewEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListRemarkViewEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}